Skip to main content

Official websites use .gov
A .gov website belongs to an official government organization in the United States.

Secure .gov websites use HTTPS
A lock ( ) or https:// means you’ve safely connected to the .gov website. Share sensitive information only on official, secure websites.

View and List Patients

Get a specific patient

The GET /Patient operation retrieves a single Patient Resource by supplying an MBI.

Example request

GET /api/v1/Patient?identifier={PATIENT_MBI}

Example cURL command

curl 'https://sandbox.dpc.cms.gov/api/v1/Patient?identifier={PATIENT_MBI}' \
    -H "Authorization: Bearer $BEARER_TOKEN" \
    -H 'Accept: application/fhir+json'

Example response

{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 1,
  "entry": [
    {
      "resource": {
        "resourceType": "Patient",
        "id": "995a1c0f-b6bc-4d16-b6b0-b8a6597c6e1d",
        "meta": {
          "lastUpdated": "2020-06-12T15:39:42.834+00:00",
          "profile": [
            "https://dpc.cms.gov/api/v1/StructureDefinition/dpc-profile-patient"
          ]
        },
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-mbi",
            "value": "5S41C00AA00"
          }
        ],
        "name": [
          {
            "family": "Wyman904",
            "given": [
              "Cruz300"
            ]
          }
        ],
        "gender": "male",
        "birthDate": "1956-02-08",
        "managingOrganization": {
          "reference": "Organization/351fbb5f-f2f9-4094-bc6f-2b3600bb56e9"
        }
      }
    }
  ]
}

List all patients

The GET /Patient operation lets you retrieve a bundle of Patient Resources.

Example request

GET /api/v1/Patient

Example cURL command

curl 'https://sandbox.dpc.cms.gov/api/v1/Patient' \
    -H "Authorization: Bearer $BEARER_TOKEN" \
    -H 'Accept: application/fhir+json'
Looking for U.S. government information and services?
Visit USA.gov